Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/2127/?format=api
{ "ob_id": 2127, "uuid": "f2dc4760a434646fa5afd852842df638", "title": "QUEST QUERCC: Global soil organic Nitrogen estimates", "abstract": "QUERCC addresses land surface processes over timescales from days to centuries, with particular emphasis on the carbon cycle. Some processes are already well represented and validated in Dynamic Global Vegetation Models (DGVMs), while others that are known to impact on the carbon cycle are not. Independent carbon and vegetation data sets are being compared against DVGMs to assess their current state, and further key modules will be developed for nutrient cycling, which exerts a major feedback on carbon exchange, and for a greater resolution of plant processes. \r\n\r\nThis dataset contains a global map of plant functional types that exert significant impacts on the carbon cycle as modelled by the Rothamsted Research institute based on the FAO (Food and Agriculture Organization) soil properties.", "keywords": "QUEST, QUERCC, carbon cycle, model, vegetation", "publicationState": "published", "dataPublishedTime": "2009-06-13T01:21:57", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2128/?format=api", "dataPath": "/badc/quest/data/quercc/fao_soil", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 37554750, "numberOfFiles": 3, "fileFormat": "Data are netCDF formatted and Images are JPG formatted" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/567/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/1/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/50542/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/50543/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/57009/?format=api" ], "dataLineage": "FAO_soil data provided by Rothamsted Research from a model developed under QUERCC with numeric data extracted from map in May 2009.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/1506/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/11995/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/2126/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/9260/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/9265/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/9259/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/9262/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/9263/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/9264/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/9266/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/9261/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": "https://api.catalogue.ceda.ac.uk/api/v2/computations/2129/?format=api", "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2543/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/missing_licence.pdf", "licenceClassifications": "unstated" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }